Subject: Re: [bug#31416] [PATCH 1/4] system: Add os-with-u-boot.

From: Jelle Licht <[email-masked]>
Date: Sun, 13 May 2018 14:09:06 +0200

2018-05-11 16:36 GMT+02:00 Danny Milosavljevic <[email-masked]>:
[...]

> +@subsection Building the Installation Image for ARM boards
> +
> +Many ARM boards require a board-specific bootloader in order to boot.
> +
> +If you build an entire disk image and the is not still available otherwise
> +(on another available drive etc), it's advisable to build an image that
> +includes the bootloader, specifically:
>
`and the' seems to miss something after it.

> +
> +@example
> +guix system disk-image --system=armhf-linux -e '((@ (gnu system install)
> os-with-u-boot) (@ (gnu system install) installation-os)
> "A20-OLinuXino-Lime2")'
> +@end example
> +
> +Or if you don't cross compile:
>

nitpick: I do not like contractions in writing, but if we already use them
elsewhere, disregard this ;-).

> +
> +@example
> +guix system disk-image -e '((@ (gnu system install) os-with-u-boot) (@
> (gnu system install) installation-os) "A20-OLinuXino-Lime2")'
> +@end example
> +
> +"A20-OLinuXino-Lime2" is the name of the board.  If you specify an invalid
> +board, you get a list.
>

Could you clarify what you mean when you say you get a list?

> [...]
Thanks for working on this! I really want to see GuixSD on ARM succeed as
well.